SyncOrganization
curl --request POST \
--url https://api.siftstack.com/api/v1/external-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/external-sync"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSync": {
"scimServerUrl": "<string>",
"tokenLifetimeSeconds": 123,
"organizationId": "<string>",
"mostRecentSyncDate": "2023-11-07T05:31:56Z",
"mostRecentSyncByUserId": "<string>",
"tokenCreatedDate": "2023-11-07T05:31:56Z",
"mostRecentTokenByUserId": "<string>"
},
"existingUserCount": 123,
"addedToOrganizationUserIds": [
"<string>"
],
"createdUsers": [
{
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>"
}
]
}
],
"deactivatedUserIds": [
"<string>"
],
"existingGroupCount": 123,
"createdUserGroups": [
{
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
],
"deletedUserGroupNames": [
"<string>"
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ExternalSyncService
SyncOrganization
Synchronizes an organization’s users and groups
POST
/
api
/
v1
/
external-sync
SyncOrganization
curl --request POST \
--url https://api.siftstack.com/api/v1/external-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/external-sync"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSync": {
"scimServerUrl": "<string>",
"tokenLifetimeSeconds": 123,
"organizationId": "<string>",
"mostRecentSyncDate": "2023-11-07T05:31:56Z",
"mostRecentSyncByUserId": "<string>",
"tokenCreatedDate": "2023-11-07T05:31:56Z",
"mostRecentTokenByUserId": "<string>"
},
"existingUserCount": 123,
"addedToOrganizationUserIds": [
"<string>"
],
"createdUsers": [
{
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>"
}
]
}
],
"deactivatedUserIds": [
"<string>"
],
"existingGroupCount": 123,
"createdUserGroups": [
{
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
],
"deletedUserGroupNames": [
"<string>"
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
Response
A successful response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I